MediaWiki:Common.css: Difference between revisions

From Impulse Launch Systems
No edit summary
No edit summary
Line 33: Line 33:
   float: right;  
   float: right;  
   position: sticky;  
   position: sticky;  
   top: 10px;  
   top: 10px;
  right: -10em
   padding: 10px 0px;
   padding: 10px 0px;
}
}

Revision as of 18:01, 22 November 2022

/* CSS placed here will be applied to all skins */
#mw-content-text {width: 60em;}

/* Tooltip container */
.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}

/* Tooltip text */
.tooltip .tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: black;
  color: #fff;
  text-align: center;
  padding: 5px 0;
  border-radius: 6px;
 
  /* Position the tooltip text - see examples below! */
  position: absolute;
  z-index: 1;
}

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
  visibility: visible;
}

/* Floating div rules */
.sticky {
  float: right; 
  position: sticky; 
  top: 10px;
  right: -10em
  padding: 10px 0px;
}